arch n64.cpu
endian msb

origin $10'1000
origin $00000000
include "LIB/N64.INC" // Include N64 Definitions
include "LIB/N64_HEADER.ASM" // Include 64 Byte Header & Vector Table
//include "LIB/N64_HEADER_NEW.ASM"

base $A4000040 // Entry Point Of Code
include "BOOTCODE.asm"
//insert "LIB/N64_BOOTCODE_NEW.BIN"

include "LIB/N64_GFX.INC" // Include Graphics Macros

base $8000'1000 // Entry Point Of Code
constant FB_width(320)
constant FB_height(240)
constant FB(0xa010'0000)
constant red(0xf801)
constant green(0x07c1)

macro WaitForHalt() {
  lui t0, SP_BASE
-
  lw t1, SP_STATUS(t0)
  andi t1, RSP_HLT
  beqz t1,-
  nop
}

Start:
  N64_INIT()

  ScreenNTSC(FB_width, FB_height, BPP16, FB)

-
  j -
  nop
